For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve wire transfer details

Retrieve the wire payment details that partners need to use for paying partner invoices.

Requirements

Next, use setProforma to identify a specific partner invoice.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.

refNo

Required (string) Order reference number of an order that was marked with WIRE as payment method.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner

$proformaNumber = 'YOUR_PROFORMA_NUMBER';

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'setProforma',
'params' => array($sessionID, $proformaNumber)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));

$paymentDetails = new stdClass();
$paymentDetails->Type = 'WIRE';
$paymentDetails->Curency = 'USD';

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'setPaymentDetails',
'params' => array($sessionID, $paymentDetails)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'payProforma',
'params' => array($sessionID)
);
var_dump (callRPC((Object)$jsonRpcRequest,$host));

$refNo = 'YOUR_ORDER_REFERENCE_NUMBER';

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getWirePaymentDetails',
'params' => array($sessionID, $refNo)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));

Response parameters

Parameter
Type / Description

WirePaymentDetails

Object Details below

WirePaymentDetails.Amount

Double The total costs incurred by the partner for a partner invoice invoice.

WirePaymentDetails.Currency

String Order currency ISO code - ISO 4217.

WirePaymentDetails.PaymentReference

String Transaction identifier.

WirePaymentDetails.RoutingNumber

String Identification number assigned to financial institutions.

WirePaymentDetails.BankAccounts

Array of objects Array of BankAccountDetails objects with the structure detailed below. Can be NULL.

WirePaymentDetails.BankAccounts.Beneficiary

String Payment beneficiary name. Can be NULL.

WirePaymentDetails.BankAccounts.BankName

String Beneficiary bank name. Can be NULL.

WirePaymentDetails.BankAccounts.BankCountry

String Beneficiary bank country. Can be NULL.

WirePaymentDetails.BankAccounts.BankCity

String Beneficiary bank city. Can be NULL.

WirePaymentDetails.BankAccounts.BankAddress

String Beneficiary bank address. Can be NULL.

WirePaymentDetails.BankAccounts.BankAccount

String Beneficiary bank account number. Can be NULL.

WirePaymentDetails.BankAccounts.BankAccountIban

String Beneficiary IBAN. Can be NULL.

WirePaymentDetails.BankAccounts.BankAccountSwiftCode

String Beneficiary SWIFT code. Can be NULL.

WirePaymentDetails.BankAccounts.Currency

String Bank account currency ISO code – ISO 4217. Can be NULL.

Errors

Error
Description

INVALID_PARTNER

No partner is set.

PAYMENT_PROFORMA

You have to set a partner invoice first.

PAYMENT_NOT_SUPPORTED

The current partner invoice is not set as payable through wire.

Last updated

Was this helpful?